before_script:
  - module load astrocyte
  - module load python/3.6.1-2-anaconda
  - module load nextflow/0.31.1_Ignite
  - mkdir test_data/hu.v2s1r1k
  - mkdir test_data/mu.v2s2r10k
  - mkdir test_data/hu.v3s2r10k
  - ln -s /project/shared/bicf_workflow_ref/workflow_testdata/cellranger/cellranger_count/hu.v2s1r1k/* test_data/hu.v2s1r1k/
  - ln -s /project/shared/bicf_workflow_ref/workflow_testdata/cellranger/cellranger_count/mu.v2s2r10k/* test_data/mu.v2s2r10k/
  - ln -s /project/shared/bicf_workflow_ref/workflow_testdata/cellranger/cellranger_count/hu.v3s2r10k/* test_data/hu.v3s2r10k/

stages:
  - astrocyte
  - simple
  - detailed

astrocyte_check:
  stage: astrocyte
  script:
  - astrocyte_cli check ../cellranger_count

run_hu.cr3v2ref3.0.0:
  stage: simple
  script:
  - nextflow run workflow/main.nf --fastq "$CI_PROJECT_DIR/test_data/hu.v2s1r1k/*.fastq.gz" --designFile "$CI_PROJECT_DIR/test_data/hu.v2s1r1k/design.csv" --genome 'GRCh38-3.0.0' --kitVersion 'auto' --version '3.0.2'

run_mu.cr2v2ref1.2.0:
  stage: detailed
  except:
    - tags
  script:
  - nextflow run workflow/main.nf --fastq "$CI_PROJECT_DIR/test_data/mu.v2s2r10k/*.fastq.gz" --designFile "$CI_PROJECT_DIR/test_data/mu.v2s2r10k/design.csv" --genome 'mm10-1.2.0' --kitVersion 'two' --version '2.1.1'

run_hu.cr3v3ref3.0.0:
  stage: detailed
  except:
    - tags
  script:
  - nextflow run workflow/main.nf --fastq "$CI_PROJECT_DIR/test_data/hu.v3s2r10k/*.fastq.gz" --designFile "$CI_PROJECT_DIR/test_data/hu.v3s2r10k/design.csv" --genome 'GRCh38-3.0.0' --kitVersion 'three' --version '3.0.2'
